Bug 123420 - Permanent fix for known network problem in VMware.
Permanent fix for known network problem in VMware.
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
http://www.vmware.com/support/kb/endu...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-18 09:09 EDT by Niels Basjes
Modified: 2014-03-16 22:45 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-19 05:34:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch for /etc/sysconfig/network-scripts/network-functions (714 bytes, patch)
2004-05-18 09:13 EDT, Niels Basjes
no flags Details | Diff

  None (edit)
Description Niels Basjes 2004-05-18 09:09:07 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.6)
Gecko/20040113

Description of problem:
As stated in
http://www.vmware.com/support/kb/enduser/std_adp.php?p_faqid=977 there
is a known problem with the check_link_down function when Fedora is
run from within VMware. I've created a fix (attached) for this problem
that can be included permanently in the code.
The effect: if (this is VMware) then do as described in the Vmware FAQ
else do what is normal for all other systems.

The detection of VMware I wrote is based on the fact that the newer
VMware versions have an SMBIOS that can be read using dmidecode. All I
do is check if the term vmware is present in the output or not.
I've tested this with Vmware 4.5.1 and it works fine for me.

Version-Release number of selected component (if applicable):
initscripts-7.50

How reproducible:
Always

Steps to Reproduce:
1. Install VMware 4.5
2. Install Fedora inside vmware with DHCP
3. Network fails to come up with "Determining IP information for
eth0... failed; no link present. Check cable?"
    

Actual Results:  No usable network connection.

Expected Results:  Usable network connection.

Additional info:

This fix is probably related to bug 85537
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=85537
Although VMware is not mentioned, this is the exact type of network
adapter VMware emulates and also the exact same error message.
Comment 1 Niels Basjes 2004-05-18 09:13:59 EDT
Created attachment 100296 [details]
Proposed patch for /etc/sysconfig/network-scripts/network-functions
Comment 2 Niels Basjes 2004-05-19 05:34:27 EDT
I just found out that Fedora Core 2 has been released. I tested it and
the reported problem has been resolved in FC2.
I'm closing this bug report.
Perhaps the mentioned bug 85537 can be closed aswell.

Note You need to log in before you can comment on or make changes to this bug.